- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSubMenuPointer Class Reference

Inheritance diagram for Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSubMenuPointer:

List of all members.

## Detailed Description

Basic Class to draw the sub menu item pointer.

Definition at line 150 of file CMenuItemDisplay.hpp.

## Public Member Functions

- CMenuItemSubMenuPointer (IControlRoot *root, const long uniqueId, const CRect &area)
- virtual void drawControl (CGraphics &graphics)
- void setPointerColours (const CAlphaColour &pointerColour)
- virtual ~CMenuItemSubMenuPointer ()

## Protected Attributes

- CAlphaColour m_pointerColour

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSubMenuPointer::CMenuItemSubMenuPointer | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area |
| ) |  |  |

Construction

Parameters:

  | root | The root control
  | uniqueId | The id of this control
  | area | The area of this control

virtual Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSubMenuPointer::~CMenuItemSubMenuPointer | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSubMenuPointer::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the control

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CControl.

void Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSubMenuPointer::setPointerColours | ( | const CAlphaColour & | pointerColour | ) | `[inline]`

Set the pointer colours

Parameters:

  | pointerColour | The colour of the pointer

Definition at line 181 of file CMenuItemDisplay.hpp.

References m_pointerColour, and Exponent::GUI::Controls::CControl::update().

## Member Data Documentation

CAlphaColour Exponent::GUI::Controls::CMenuItemDisplay::CMenuItemSubMenuPointer::m_pointerColour`[protected]`

Colour of the arrow

Definition at line 189 of file CMenuItemDisplay.hpp.

Referenced by setPointerColours().